China factories

Decorative Paper Origami Table Lamp Nightlight Customized

Price: 5 Get Latest Price
  • Brand Name: No Brand
  • Model Number: S-02
  • Minimum Order Quantity: 500
  • Delivery Time: 15 work days
  • view more

USB Charging Dimmable Decorative Table Lamp White Feather Table Lamp

Price: $27.37/ Piece Get Latest Price
  • Brand Name: HEKEYLT
  • Model Number: HEKEYLT-23234
  • Minimum Order Quantity: 1PCS
  • Delivery Time: 15 days after received the advance payment
  • view more

Dimmable LED Table Lamp 5W Touch Control In 3500-6500K Color Temp

Price: Good price Get Latest Price
  • Brand Name: DY
  • Model Number: NO.:288
  • Minimum Order Quantity: 1 Carton
  • Delivery Time: 5days
  • view more

Remote Control Dimmable Portable Table Lamp with 2700K Warm White LED Mood Lighting

Price: $9.90-15.90 Get Latest Price
  • Brand Name: Valed
  • Model Number: E9
  • Minimum Order Quantity: 1
  • Delivery Time: Negotiable
  • view more

Modern USB dimmable led table lamp outdoor table light for bedroom

Price: NEGOTIATE PRICE Get Latest Price
  • Brand Name: BOLITE
  • Model Number: BO1081
  • Minimum Order Quantity: 5Pieces
  • Delivery Time: 7-25DAYS
  • view more

Hotel Reading Light Silver black Dimmable LED Table Lamp 3 5 Years 30000 lm Flexible

Price: $8.17/pieces 500-999 pieces Get Latest Price
  • Brand Name: Sunshining
  • Model Number: SL-LED147D
  • Minimum Order Quantity: 500 pieces
  • Delivery Time: Negotiable
  • view more

Three-ring elegant metal table lamp Modern dimmable aluminum table lamp

Price: Factory price/Genuine retail price Get Latest Price
  • Brand Name: ZSHONORHIGH, SIDEREAL
  • Model Number: ABM-0144
  • Minimum Order Quantity: 100 set/<100set
  • Delivery Time: 7-15days
  • view more

Hot Selling Product Cute Animal For Kids Bedroom Dimmable Bedside Table Lamp Cute Pear Led Night Light

Price: $4.30/pieces >=1000 pieces Get Latest Price
  • Brand Name: Negotiable
  • Model Number: L40
  • Minimum Order Quantity: 1000 pieces
  • Delivery Time: Negotiable
  • view more

Nordic Origami Bedside Lamp Pleated Umbrella Table Light Vintage Minimal Lamps

Price: Negotiable(very competitive) Get Latest Price
  • Brand Name: GRH
  • Model Number: GRH-E001,GRH-RFC1004,GRH-RFC1005,GRH-RFC1011
  • Minimum Order Quantity: 1000 PCS
  • Delivery Time: 20 days to 50 days after received the deposit.
  • view more

LED Antler Table Lamp Nordic Dimmable Desk Lamp Bedroom Bedside Hotel Black Study Lamp(WH-VTB-27)

Price: 1-100USD Get Latest Price
  • Brand Name: Well House
  • Model Number: WH-VTB-27
  • Minimum Order Quantity: 1pcs
  • Delivery Time: 15-30 days
  • view more

Home Decor Dimmable Bedside Touch Metal LED Table Lamp Restaurant Bar

Price: Negotiable Get Latest Price
  • Brand Name: QiFan
  • Model Number: CL-10
  • Minimum Order Quantity: 300pcs
  • Delivery Time: 15days
  • view more

Dimmable LED Pixel Lamp Cosmetic Vanity Mirror Lights For Dressing Table

Price: Negotiable Get Latest Price
  • Brand Name: Phenson
  • Model Number: PS-mirror-01
  • Minimum Order Quantity: 50PCS
  • Delivery Time: 7~10 days
  • view more

Phenson Lighting Tech.,Ltd

Shenzhen ,Guangdong

  • 10YRS
  • Verified Supplier

Tuya 12w Wifi Smart Table Lamp Wireless Voice Control RGB Dimmable Lamp

Price: US $11.5-12.5/PCS Get Latest Price
  • Brand Name: Glomarket
  • Model Number: LT0335
  • Minimum Order Quantity: 2 PCS
  • Delivery Time: 7-15 work days
  • view more

Wooden LED Cube Table Lamp USB Dimmable Rechargeable Desk Lamp Creative Geometric Night Lights for Bedroom Decor Accent Lighting

Price: 11.7usd/piece Get Latest Price
  • Brand Name: OEM
  • Model Number: CR-LNL-05
  • Minimum Order Quantity: 10 pieces
  • Delivery Time: 7-10work days
  • view more

Adjustable Height Marble Body Dimmable LED Floor Lamp for Modern Living Room and Bedside Lighting

Price: $2,289 Get Latest Price
  • Brand Name: Yihao
  • Model Number: Negotiable
  • Minimum Order Quantity: 1
  • Delivery Time: Negotiable
  • view more

Retro LED Table Lamp Creative Dimmable Hotel/Study/Bedside Lamp Luxury Hotel Decorative Table Lamp

Price: $16 Get Latest Price
  • Brand Name: JMK
  • Model Number: JMK-G65A
  • Minimum Order Quantity: 100pcs
  • Delivery Time: 3-4Weeks
  • view more

Black Bright LED Desk Lamp Adjustable Table Lamps For Reading

Price: Negotiable Get Latest Price
  • Brand Name: Guandi
  • Model Number: GD-628
  • Minimum Order Quantity: 1000 pcs
  • Delivery Time: 10-15 work days
  • view more

1.8m EU Plug ON OFF LED Dimmer Controller Adapter AC Power Extension Cord Cable for Table Lamp

Price: CN¥6.33/pieces 50-999 pieces Get Latest Price
  • Brand Name: EU plug power cable led dimmer
  • Model Number: EU plug power cable led dimmer
  • Minimum Order Quantity: 50 pieces
  • Delivery Time: Negotiable
  • view more

1.8m EU Plug ON OFF LED Dimmer Controller Adapter AC Power Extension Cord Cable for Table Lamp

Price: CN¥6.33/pieces 50-999 pieces Get Latest Price
  • Brand Name: EU plug power cable led dimmer
  • Model Number: EU plug power cable led dimmer
  • Minimum Order Quantity: 50 pieces
  • Delivery Time: Negotiable
  • view more